pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Upgrade sysutils/puppet to 2.6.13

On Sat, Feb 18, 2012 at 02:47:17PM +0100, Stephan Tesch wrote:
> On Fri, Feb 17, 2012 at 11:48:59PM -0500, Ed Ravin wrote:
> > Alas, Puppet 2.6.7 does not fully run on NetBSD out of the box.  To
> > get puppetmaster to start successfully, we had to patch a few provider
> > files for useradd and groupadd, and another change or two that I don't
> > recall offhand.  If someone out there plans to maintain it I can send
> > you our patches to give you a head start.
> That would be a good idea. Did anyone ever submit this patches upstream?

My Puppet project got stalled, so I don't know whether the attached
patches are sufficient.  I do know that puppetmasterd doesn't fail at

> 2.6.7 is a long time ago, maybe this is already resolved in .13?!

I doubt it - there does not seem to have been any work with Puppet
and NetBSD since Puppet version 0.25.5.

Attachment: puppet-netbsd-fixes.tar.gz
Description: application/tar-gz

Home | Main Index | Thread Index | Old Index